Loading...
Searching...
No Matches
create_options.h File Reference
`#include <variant>`
`#include "MQTTAsync.h"`
`#include "mqtt/iclient_persistence.h"`
`#include "mqtt/types.h"`

Go to the source code of this file.

## Data Structures

struct | mqtt::no_persistence
class | mqtt::create_options
class | mqtt::create_options_builder

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::persistence_type = std::variant< no_persistence, string, iclient_persistence * >
using | mqtt::create_options_ptr = create_options::ptr_t

## Variables

constexpr no_persistence | mqtt::NO_PERSISTENCE {}

## Detailed Description

Declaration of MQTT create_options class

Date
  Oct 17, 2020

Author
  Frank Pagliughi